import '@solana/webcrypto-ed25519-polyfill';
import { KeyPairSigner } from '@solana/signers';
import { Address, Commitment, CompilableTransaction, ITransactionWithBlockhashLifetime, Rpc, RpcSubscriptions, SolanaRpcApi, SolanaRpcSubscriptionsApi } from '@solana/web3.js';
export type Client = {
    rpc: Rpc<SolanaRpcApi>;
    rpcSubscriptions: RpcSubscriptions<SolanaRpcSubscriptionsApi>;
};
export declare const createDefaultSolanaClient: () => Client;
export declare const createKeyPairSigner: (bytes: Uint8Array) => Promise<KeyPairSigner<string>>;
export declare const generateKeyPairSignerWithSol: (client: Client, putativeLamports?: bigint) => Promise<KeyPairSigner<string>>;
export declare const fundWalletWithSol: (client: Client, address: Address, putativeLamports?: bigint) => Promise<void>;
export declare const createDefaultTransaction: (client: Client, feePayer: KeyPairSigner) => Promise<ITransactionWithBlockhashLifetime & Omit<import("@solana/signers").ITransactionWithFeePayerSigner<string, import("@solana/signers").TransactionSigner<string>> & Readonly<{
    instructions: readonly import("@solana/web3.js").IInstruction<string, readonly (import("@solana/web3.js").IAccountLookupMeta<string, string> | import("@solana/web3.js").IAccountMeta<string>)[]>[];
    version: 0;
}>, "signatures">>;
export interface TransactionOptions {
    commitment?: Commitment;
    skipPreflight?: boolean;
}
export declare const signAndSendTransaction: (client: Client, transaction: CompilableTransaction & ITransactionWithBlockhashLifetime, options?: TransactionOptions) => Promise<import("@solana/web3.js").Signature>;
export declare const getBalance: (client: Client, address: Address) => Promise<import("@solana/web3.js").LamportsUnsafeBeyond2Pow53Minus1>;
//# sourceMappingURL=setup.d.ts.map